/* Generated automatically by the program `genextract'
   from the machine description file `md'.  */

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "diagnostic-core.h"

/* This variable is used as the "location" of any missing operand
   whose numbers are skipped by a given pattern.  */
static rtx junk ATTRIBUTE_UNUSED;

void
insn_extract (rtx insn)
{
  rtx *ro = recog_data.operand;
  rtx **ro_loc = recog_data.operand_loc;
  rtx pat = PATTERN (insn);
  int i ATTRIBUTE_UNUSED; /* only for peepholes */

#ifdef ENABLE_CHECKING
  memset (ro, 0xab, sizeof (*ro) * MAX_RECOG_OPERANDS);
  memset (ro_loc, 0xab, sizeof (*ro_loc) * MAX_RECOG_OPERANDS);
#endif

  switch (INSN_CODE (insn))
    {
    default:
      /* Control reaches here if insn_extract has been called with an
         unrecognizable insn (code -1), or an insn whose INSN_CODE
         corresponds to a DEFINE_EXPAND in the machine description;
         either way, a bug.  */
      if (INSN_CODE (insn) < 0)
        fatal_insn ("unrecognizable insn:", insn);
      else
        fatal_insn ("insn with invalid code number:", insn);

    case 1248:
    case 1247:
    case 1246:
    case 1245:
    case 1244:
      for (i = XVECLEN (pat, 0) - 1; i >= 0; i--)
          ro[i] = *(ro_loc[i] = &XVECEXP (pat, 0, i));
      break;

    case 1095:  /* fmulsu */
    case 1094:  /* fmuls */
    case 1093:  /* fmul */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XVECEXP (XEXP (pat, 1), 0, 0));
      ro[2] = *(ro_loc[2] = &XVECEXP (XEXP (pat, 1), 0, 1));
      break;

    case 1087:  /* delay_cycles_4 */
    case 1086:  /* delay_cycles_3 */
    case 1085:  /* delay_cycles_2_tiny */
    case 1084:  /* delay_cycles_2 */
    case 1083:  /* delay_cycles_1 */
      ro[0] = *(ro_loc[0] = &XVECEXP (pat, 0, 1));
      ro[1] = *(ro_loc[1] = &XEXP (XVECEXP (pat, 0, 2), 0));
      break;

    case 1078:  /* epilogue_restores */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XVECEXP (pat, 0, 1), 1), 1));
      break;

    case 1077:  /* call_prologue_saves */
      ro[0] = *(ro_loc[0] = &XVECEXP (pat, 0, 1));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XVECEXP (pat, 0, 2), 1), 1));
      break;

    case 1074:  /* popqi */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      break;

    case 1073:  /* *sbix_branch_tmp_bit7 */
    case 1071:  /* *sbix_branch_bit7 */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      break;

    case 1072:  /* *sbix_branch_tmp */
    case 1070:  /* *sbix_branch */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 2));
      ro[3] = *(ro_loc[3] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      break;

    case 1069:  /* *sbi */
    case 1068:  /* *cbi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 1));
      recog_data.dup_loc[0] = &XEXP (XEXP (XEXP (pat, 1), 0), 0);
      recog_data.dup_num[0] = 0;
      break;

    case 1066:  /* *tablejump */
    case 1065:  /* *tablejump_enh */
    case 1064:  /* *tablejump_lib */
    case 1063:  /* *tablejump_rjmp */
      ro[0] = *(ro_loc[0] = &XVECEXP (XEXP (XVECEXP (pat, 0, 0), 1), 0, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XVECEXP (pat, 0, 1), 0), 0));
      recog_data.dup_loc[0] = &XEXP (XVECEXP (pat, 0, 2), 0);
      recog_data.dup_num[0] = 0;
      break;

    case 1058:  /* call_insn */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (pat, 1));
      break;

    case 1057:  /* jump */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 0));
      break;

    case 1056:  /* difficult_rvbranch */
    case 1055:  /* rvbranch */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XEXP (pat, 1), 2), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 0));
      break;

    case 1054:  /* difficult_branch */
    case 1053:  /* branch */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 0));
      break;

    case 1052:  /* *sbrx_and_branchsi */
    case 1051:  /* *sbrx_and_branchhi */
    case 1050:  /* *sbrx_and_branchqi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 1));
      ro[3] = *(ro_loc[3] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      break;

    case 1049:  /* *sbrx_branchdi */
    case 1048:  /* *sbrx_branchsi */
    case 1047:  /* *sbrx_branchhi */
    case 1046:  /* *sbrx_branchqi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 2));
      ro[3] = *(ro_loc[3] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      break;

    case 1045:  /* *cmpusa */
    case 1044:  /* *cmpsa */
    case 1043:  /* *cmpsi */
    case 1042:  /* *cmpuha */
    case 1041:  /* *cmpha */
    case 1040:  /* *cmpuhq */
    case 1039:  /* *cmphq */
    case 1038:  /* *cmphi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 1));
      ro[2] = *(ro_loc[2] = &XEXP (XVECEXP (pat, 0, 1), 0));
      break;

    case 1037:  /* *cmpqi_sign_extend */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XEXP (pat, 1), 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 1));
      break;

    case 1036:  /* *cmpuqq */
    case 1035:  /* *cmpqq */
    case 1034:  /* *cmpqi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 1));
      break;

    case 1033:  /* *reversed_tstusa */
    case 1032:  /* *reversed_tstsa */
    case 1031:  /* *reversed_tstsi */
    case 1027:  /* *reversed_tstuha */
    case 1026:  /* *reversed_tstha */
    case 1025:  /* *reversed_tstuhq */
    case 1024:  /* *reversed_tsthq */
    case 1023:  /* *reversed_tsthi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 1));
      ro[1] = *(ro_loc[1] = &XEXP (XVECEXP (pat, 0, 1), 0));
      break;

    case 1017:  /* *reversed_tstuqq */
    case 1016:  /* *reversed_tstqq */
    case 1015:  /* *reversed_tstqi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 1));
      break;

    case 1030:  /* *negated_tstusa */
    case 1029:  /* *negated_tstsa */
    case 1028:  /* *negated_tstsi */
    case 1022:  /* *negated_tstuha */
    case 1021:  /* *negated_tstha */
    case 1020:  /* *negated_tstuhq */
    case 1019:  /* *negated_tsthq */
    case 1018:  /* *negated_tsthi */
    case 1014:  /* *negated_tstuqq */
    case 1013:  /* *negated_tstqq */
    case 1012:  /* *negated_tstqi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XEXP (pat, 1), 0), 0));
      break;

    case 993:  /* *lshrusa3_const */
    case 992:  /* *lshrsa3_const */
    case 991:  /* *lshrsi3_const */
    case 990:  /* *lshruha3_const */
    case 989:  /* *lshrha3_const */
    case 988:  /* *lshruhq3_const */
    case 987:  /* *lshrhq3_const */
    case 986:  /* *lshrhi3_const */
    case 976:  /* *ashrsi3_const */
    case 975:  /* *ashrsi3_const */
    case 974:  /* *ashrsi3_const */
    case 973:  /* *ashrhi3_const */
    case 972:  /* *ashrhi3_const */
    case 971:  /* *ashrhi3_const */
    case 970:  /* *ashrhi3_const */
    case 969:  /* *ashrhi3_const */
    case 957:  /* *ashlusa3_const */
    case 956:  /* *ashlsa3_const */
    case 955:  /* *ashlsi3_const */
    case 954:  /* *ashluha3_const */
    case 953:  /* *ashlha3_const */
    case 952:  /* *ashluhq3_const */
    case 951:  /* *ashlhq3_const */
    case 950:  /* *ashlhi3_const */
    case 938:  /* *rotbdi */
    case 937:  /* *rotbsi */
    case 936:  /* *rotbhi */
    case 935:  /* *rotwdi */
    case 934:  /* *rotwsi */
    case 933:  /* *rotwhi */
    case 928:  /* *iorsi3_clobber */
    case 926:  /* *iorhi3_clobber */
    case 922:  /* andhi3 */
      ro[0] = *(ro_loc[0] = &XEXP (XVECEXP (pat, 0, 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 1));
      ro[3] = *(ro_loc[3] = &XEXP (XVECEXP (pat, 0, 1), 0));
      break;

    case 919:  /* udivmodsi4 */
    case 917:  /* divmodsi4 */
    case 915:  /* udivmodhi4 */
    case 913:  /* divmodhi4 */
    case 911:  /* udivmodqi4 */
    case 909:  /* divmodqi4 */
      ro[0] = *(ro_loc[0] = &XEXP (XVECEXP (pat, 0, 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 1), 1));
      ro[3] = *(ro_loc[3] = &XEXP (XVECEXP (pat, 0, 1), 0));
      recog_data.dup_loc[0] = &XEXP (XEXP (XVECEXP (pat, 0, 1), 1), 0);
      recog_data.dup_num[0] = 1;
      recog_data.dup_loc[1] = &XEXP (XEXP (XVECEXP (pat, 0, 1), 1), 1);
      recog_data.dup_num[1] = 2;
      break;

    case 901:  /* *usmulqihi3 */
    case 900:  /* *sumulqihi3 */
    case 899:  /* umulqihi3 */
    case 898:  /* mulqihi3 */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (pat, 1), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      break;

    case 897:  /* umulqi3_highpart */
    case 896:  /* smulqi3_highpart */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (XEXP (XEXP (pat, 1), 0), 0), 1), 0));
      break;

    case 885:  /* *addhi3_sp_R_pc3 */
    case 884:  /* *addhi3_sp_R_pc2 */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (pat, 1), 1));
      ro[1] = *(ro_loc[1] = &XEXP (pat, 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (pat, 1), 0));
      break;

    case 893:  /* *subsi3_zero_extend */
    case 891:  /* *subhi3_zero_extend1 */
    case 883:  /* *addhi3_zero_extend1 */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (XEXP (pat, 1), 1), 0));
      break;

    case 1059:  /* call_value_insn */
    case 888:  /* *addsi3_zero_extend */
    case 882:  /* *addhi3_zero_extend */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (XEXP (pat, 1), 0), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (pat, 1), 1));
      break;

    case 880:  /* *strlenhi */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XVECEXP (XEXP (pat, 1), 0, 0), 0));
      ro[2] = *(ro_loc[2] = &XVECEXP (XEXP (pat, 1), 0, 2));
      break;

    case 879:  /* *clrmemhi */
    case 878:  /* *clrmemqi */
      ro[0] = *(ro_loc[0] = &XEXP (XEXP (XVECEXP (pat, 0, 0), 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XVECEXP (pat, 0, 1), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XVECEXP (pat, 0, 2), 0));
      ro[3] = *(ro_loc[3] = &XEXP (XVECEXP (pat, 0, 3), 0));
      ro[4] = *(ro_loc[4] = &XEXP (XVECEXP (pat, 0, 4), 0));
      break;

    case 1092:  /* swap */
    case 864:  /* movhi_sp_r_irq_on */
    case 863:  /* movhi_sp_r_irq_off */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XVECEXP (XEXP (pat, 1), 0, 0));
      break;

    case 873:  /* *reload_insi */
    case 872:  /* *reload_insi */
    case 871:  /* *reload_insi */
    case 865:  /* *reload_inhi */
    case 861:  /* *reload_inqi */
      ro[0] = *(ro_loc[0] = &XEXP (XVECEXP (pat, 0, 0), 0));
      ro[1] = *(ro_loc[1] = &XEXP (XVECEXP (pat, 0, 0), 1));
      ro[2] = *(ro_loc[2] = &XEXP (XVECEXP (pat, 0, 1), 0));
      break;

    case 877:  /* *movsf */
    case 876:  /* *movusa */
    case 875:  /* *movsa */
    case 874:  /* *movsi */
    case 870:  /* *movuha */
    case 869:  /* *movha */
    case 868:  /* *movuhq */
    case 867:  /* *movhq */
    case 866:  /* *movhi */
    case 862:  /* *movhi_sp */
    case 860:  /* *movuqq */
    case 859:  /* *movqq */
    case 858:  /* *movqi */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (pat, 1));
      break;

    case 1062:  /* *indirect_jump_avr6 */
    case 1061:  /* *njcindirect_jump */
    case 1060:  /* *jcindirect_jump */
    case 857:  /* *pushsf */
    case 856:  /* *pushusa */
    case 855:  /* *pushsa */
    case 854:  /* *pushsi */
    case 853:  /* *pushuha */
    case 852:  /* *pushha */
    case 851:  /* *pushuhq */
    case 850:  /* *pushhq */
    case 849:  /* *pushhi */
    case 848:  /* *pushuqq */
    case 847:  /* *pushqq */
    case 846:  /* *pushqi */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 1));
      break;

    case 1091:  /* wdr */
    case 1090:  /* sleep */
    case 1089:  /* nop2 */
    case 1088:  /* nop */
    case 1082:  /* return_from_naked_epilogue */
    case 1081:  /* return_from_interrupt_epilogue */
    case 1080:  /* return_from_epilogue */
    case 1079:  /* return */
    case 1076:  /* disable_interrupt */
    case 1075:  /* enable_interrupt */
    case 1067:  /* sez */
    case 920:  /* *udivmodsi4_call */
    case 918:  /* *divmodsi4_call */
    case 916:  /* *udivmodhi4_call */
    case 914:  /* *divmodhi4_call */
    case 912:  /* *udivmodqi4_call */
    case 910:  /* *divmodqi4_call */
    case 908:  /* *mulsi3_call */
    case 907:  /* *umulhi3_highpart_call */
    case 906:  /* *smulhi3_highpart_call */
    case 905:  /* *umulhisi3_call */
    case 904:  /* *mulhisi3_call */
    case 903:  /* *mulhi3_call */
    case 895:  /* *mulqi3_call */
    case 843:  /* *divusa3_call */
    case 842:  /* *udivusa3_call */
    case 841:  /* *divsa3_call */
    case 840:  /* *udivsa3_call */
    case 839:  /* *divuha3_call */
    case 838:  /* *udivuha3_call */
    case 837:  /* *divha3_call */
    case 836:  /* *udivha3_call */
    case 835:  /* *divuhq3_call */
    case 834:  /* *udivuhq3_call */
    case 833:  /* *divhq3_call */
    case 832:  /* *udivhq3_call */
    case 831:  /* *divuqq3_call */
    case 830:  /* *udivuqq3_call */
    case 829:  /* *divqq3_call */
    case 828:  /* *udivqq3_call */
    case 827:  /* *mulusa3_call */
    case 826:  /* *mulsa3_call */
    case 825:  /* *mulusa3_enh */
    case 824:  /* *mulsa3_enh */
    case 823:  /* *muluha3_call */
    case 822:  /* *mulha3_call */
    case 821:  /* *muluha3_enh */
    case 820:  /* *mulha3_enh */
    case 819:  /* *muluhq3_enh_call */
    case 818:  /* *mulhq3_enh_call */
      break;

    case 985:  /* lshrsi3 */
    case 984:  /* lshruha3 */
    case 983:  /* lshrha3 */
    case 982:  /* lshruhq3 */
    case 981:  /* lshrhq3 */
    case 980:  /* lshrhi3 */
    case 979:  /* *lshrqi3 */
    case 978:  /* *lshrqi3 */
    case 977:  /* *lshrqi3 */
    case 968:  /* ashrusa3 */
    case 967:  /* ashrsa3 */
    case 966:  /* ashrsi3 */
    case 965:  /* ashruha3 */
    case 964:  /* ashrha3 */
    case 963:  /* ashruhq3 */
    case 962:  /* ashrhq3 */
    case 961:  /* ashrhi3 */
    case 960:  /* ashruqq3 */
    case 959:  /* ashrqq3 */
    case 958:  /* ashrqi3 */
    case 949:  /* ashlusa3 */
    case 948:  /* ashlsa3 */
    case 947:  /* ashlsi3 */
    case 946:  /* ashluha3 */
    case 945:  /* ashlha3 */
    case 944:  /* ashluhq3 */
    case 943:  /* ashlhq3 */
    case 942:  /* ashlhi3 */
    case 941:  /* *ashluqq3 */
    case 940:  /* *ashlqq3 */
    case 939:  /* *ashlqi3 */
    case 931:  /* xorsi3 */
    case 930:  /* xorhi3 */
    case 929:  /* xorqi3 */
    case 927:  /* iorsi3 */
    case 925:  /* iorhi3 */
    case 924:  /* iorqi3 */
    case 923:  /* andsi3 */
    case 921:  /* andqi3 */
    case 902:  /* *mulhi3_enh */
    case 894:  /* *mulqi3_enh */
    case 892:  /* subsi3 */
    case 890:  /* subhi3 */
    case 889:  /* subqi3 */
    case 887:  /* addsi3 */
    case 886:  /* *addhi3 */
    case 881:  /* addqi3 */
    case 817:  /* muluqq3 */
    case 816:  /* mulqq3 */
    case 815:  /* subusa3 */
    case 814:  /* subsa3 */
    case 813:  /* addusa3 */
    case 812:  /* addsa3 */
    case 811:  /* subuha3 */
    case 810:  /* subha3 */
    case 809:  /* subuhq3 */
    case 808:  /* subhq3 */
    case 807:  /* adduha3 */
    case 806:  /* addha3 */
    case 805:  /* adduhq3 */
    case 804:  /* addhq3 */
    case 803:  /* subuqq3 */
    case 802:  /* subqq3 */
    case 801:  /* adduqq3 */
    case 800:  /* addqq3 */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 0));
      ro[2] = *(ro_loc[2] = &XEXP (XEXP (pat, 1), 1));
      break;

    case 1011:  /* zero_extendsidi2 */
    case 1010:  /* zero_extendhidi2 */
    case 1009:  /* zero_extendqidi2 */
    case 1008:  /* zero_extendhisi2 */
    case 1007:  /* zero_extendqisi2 */
    case 1006:  /* zero_extendqihi2 */
    case 1005:  /* extendhisi2 */
    case 1004:  /* extendqisi2 */
    case 1003:  /* extendqihi2 */
    case 1002:  /* one_cmplsi2 */
    case 1001:  /* one_cmplhi2 */
    case 1000:  /* one_cmplqi2 */
    case 999:  /* negsf2 */
    case 998:  /* negsi2 */
    case 997:  /* neghi2 */
    case 996:  /* negqi2 */
    case 995:  /* abssf2 */
    case 994:  /* absqi2 */
    case 932:  /* *rotlqi3_4 */
    case 845:  /* absuqq2 */
    case 844:  /* absqq2 */
    case 799:  /* fractunsdidi2 */
    case 798:  /* fractunssidi2 */
    case 797:  /* fractunshidi2 */
    case 796:  /* fractunsqidi2 */
    case 795:  /* fractunsutadi2 */
    case 794:  /* fractunstadi2 */
    case 793:  /* fractunsudadi2 */
    case 792:  /* fractunsdadi2 */
    case 791:  /* fractunsusadi2 */
    case 790:  /* fractunssadi2 */
    case 789:  /* fractunsuhadi2 */
    case 788:  /* fractunshadi2 */
    case 787:  /* fractunsudqdi2 */
    case 786:  /* fractunsdqdi2 */
    case 785:  /* fractunsusqdi2 */
    case 784:  /* fractunssqdi2 */
    case 783:  /* fractunsuhqdi2 */
    case 782:  /* fractunshqdi2 */
    case 781:  /* fractunsuqqdi2 */
    case 780:  /* fractunsqqdi2 */
    case 779:  /* fractunsdisi2 */
    case 778:  /* fractunssisi2 */
    case 777:  /* fractunshisi2 */
    case 776:  /* fractunsqisi2 */
    case 775:  /* fractunsutasi2 */
    case 774:  /* fractunstasi2 */
    case 773:  /* fractunsudasi2 */
    case 772:  /* fractunsdasi2 */
    case 771:  /* fractunsusasi2 */
    case 770:  /* fractunssasi2 */
    case 769:  /* fractunsuhasi2 */
    case 768:  /* fractunshasi2 */
    case 767:  /* fractunsudqsi2 */
    case 766:  /* fractunsdqsi2 */
    case 765:  /* fractunsusqsi2 */
    case 764:  /* fractunssqsi2 */
    case 763:  /* fractunsuhqsi2 */
    case 762:  /* fractunshqsi2 */
    case 761:  /* fractunsuqqsi2 */
    case 760:  /* fractunsqqsi2 */
    case 759:  /* fractunsdihi2 */
    case 758:  /* fractunssihi2 */
    case 757:  /* fractunshihi2 */
    case 756:  /* fractunsqihi2 */
    case 755:  /* fractunsutahi2 */
    case 754:  /* fractunstahi2 */
    case 753:  /* fractunsudahi2 */
    case 752:  /* fractunsdahi2 */
    case 751:  /* fractunsusahi2 */
    case 750:  /* fractunssahi2 */
    case 749:  /* fractunsuhahi2 */
    case 748:  /* fractunshahi2 */
    case 747:  /* fractunsudqhi2 */
    case 746:  /* fractunsdqhi2 */
    case 745:  /* fractunsusqhi2 */
    case 744:  /* fractunssqhi2 */
    case 743:  /* fractunsuhqhi2 */
    case 742:  /* fractunshqhi2 */
    case 741:  /* fractunsuqqhi2 */
    case 740:  /* fractunsqqhi2 */
    case 739:  /* fractunsdiqi2 */
    case 738:  /* fractunssiqi2 */
    case 737:  /* fractunshiqi2 */
    case 736:  /* fractunsqiqi2 */
    case 735:  /* fractunsutaqi2 */
    case 734:  /* fractunstaqi2 */
    case 733:  /* fractunsudaqi2 */
    case 732:  /* fractunsdaqi2 */
    case 731:  /* fractunsusaqi2 */
    case 730:  /* fractunssaqi2 */
    case 729:  /* fractunsuhaqi2 */
    case 728:  /* fractunshaqi2 */
    case 727:  /* fractunsudqqi2 */
    case 726:  /* fractunsdqqi2 */
    case 725:  /* fractunsusqqi2 */
    case 724:  /* fractunssqqi2 */
    case 723:  /* fractunsuhqqi2 */
    case 722:  /* fractunshqqi2 */
    case 721:  /* fractunsuqqqi2 */
    case 720:  /* fractunsqqqi2 */
    case 719:  /* fractunsdiuta2 */
    case 718:  /* fractunssiuta2 */
    case 717:  /* fractunshiuta2 */
    case 716:  /* fractunsqiuta2 */
    case 715:  /* fractunsutauta2 */
    case 714:  /* fractunstauta2 */
    case 713:  /* fractunsudauta2 */
    case 712:  /* fractunsdauta2 */
    case 711:  /* fractunsusauta2 */
    case 710:  /* fractunssauta2 */
    case 709:  /* fractunsuhauta2 */
    case 708:  /* fractunshauta2 */
    case 707:  /* fractunsudquta2 */
    case 706:  /* fractunsdquta2 */
    case 705:  /* fractunsusquta2 */
    case 704:  /* fractunssquta2 */
    case 703:  /* fractunsuhquta2 */
    case 702:  /* fractunshquta2 */
    case 701:  /* fractunsuqquta2 */
    case 700:  /* fractunsqquta2 */
    case 699:  /* fractunsdita2 */
    case 698:  /* fractunssita2 */
    case 697:  /* fractunshita2 */
    case 696:  /* fractunsqita2 */
    case 695:  /* fractunsutata2 */
    case 694:  /* fractunstata2 */
    case 693:  /* fractunsudata2 */
    case 692:  /* fractunsdata2 */
    case 691:  /* fractunsusata2 */
    case 690:  /* fractunssata2 */
    case 689:  /* fractunsuhata2 */
    case 688:  /* fractunshata2 */
    case 687:  /* fractunsudqta2 */
    case 686:  /* fractunsdqta2 */
    case 685:  /* fractunsusqta2 */
    case 684:  /* fractunssqta2 */
    case 683:  /* fractunsuhqta2 */
    case 682:  /* fractunshqta2 */
    case 681:  /* fractunsuqqta2 */
    case 680:  /* fractunsqqta2 */
    case 679:  /* fractunsdiuda2 */
    case 678:  /* fractunssiuda2 */
    case 677:  /* fractunshiuda2 */
    case 676:  /* fractunsqiuda2 */
    case 675:  /* fractunsutauda2 */
    case 674:  /* fractunstauda2 */
    case 673:  /* fractunsudauda2 */
    case 672:  /* fractunsdauda2 */
    case 671:  /* fractunsusauda2 */
    case 670:  /* fractunssauda2 */
    case 669:  /* fractunsuhauda2 */
    case 668:  /* fractunshauda2 */
    case 667:  /* fractunsudquda2 */
    case 666:  /* fractunsdquda2 */
    case 665:  /* fractunsusquda2 */
    case 664:  /* fractunssquda2 */
    case 663:  /* fractunsuhquda2 */
    case 662:  /* fractunshquda2 */
    case 661:  /* fractunsuqquda2 */
    case 660:  /* fractunsqquda2 */
    case 659:  /* fractunsdida2 */
    case 658:  /* fractunssida2 */
    case 657:  /* fractunshida2 */
    case 656:  /* fractunsqida2 */
    case 655:  /* fractunsutada2 */
    case 654:  /* fractunstada2 */
    case 653:  /* fractunsudada2 */
    case 652:  /* fractunsdada2 */
    case 651:  /* fractunsusada2 */
    case 650:  /* fractunssada2 */
    case 649:  /* fractunsuhada2 */
    case 648:  /* fractunshada2 */
    case 647:  /* fractunsudqda2 */
    case 646:  /* fractunsdqda2 */
    case 645:  /* fractunsusqda2 */
    case 644:  /* fractunssqda2 */
    case 643:  /* fractunsuhqda2 */
    case 642:  /* fractunshqda2 */
    case 641:  /* fractunsuqqda2 */
    case 640:  /* fractunsqqda2 */
    case 639:  /* fractunsdiusa2 */
    case 638:  /* fractunssiusa2 */
    case 637:  /* fractunshiusa2 */
    case 636:  /* fractunsqiusa2 */
    case 635:  /* fractunsutausa2 */
    case 634:  /* fractunstausa2 */
    case 633:  /* fractunsudausa2 */
    case 632:  /* fractunsdausa2 */
    case 631:  /* fractunsusausa2 */
    case 630:  /* fractunssausa2 */
    case 629:  /* fractunsuhausa2 */
    case 628:  /* fractunshausa2 */
    case 627:  /* fractunsudqusa2 */
    case 626:  /* fractunsdqusa2 */
    case 625:  /* fractunsusqusa2 */
    case 624:  /* fractunssqusa2 */
    case 623:  /* fractunsuhqusa2 */
    case 622:  /* fractunshqusa2 */
    case 621:  /* fractunsuqqusa2 */
    case 620:  /* fractunsqqusa2 */
    case 619:  /* fractunsdisa2 */
    case 618:  /* fractunssisa2 */
    case 617:  /* fractunshisa2 */
    case 616:  /* fractunsqisa2 */
    case 615:  /* fractunsutasa2 */
    case 614:  /* fractunstasa2 */
    case 613:  /* fractunsudasa2 */
    case 612:  /* fractunsdasa2 */
    case 611:  /* fractunsusasa2 */
    case 610:  /* fractunssasa2 */
    case 609:  /* fractunsuhasa2 */
    case 608:  /* fractunshasa2 */
    case 607:  /* fractunsudqsa2 */
    case 606:  /* fractunsdqsa2 */
    case 605:  /* fractunsusqsa2 */
    case 604:  /* fractunssqsa2 */
    case 603:  /* fractunsuhqsa2 */
    case 602:  /* fractunshqsa2 */
    case 601:  /* fractunsuqqsa2 */
    case 600:  /* fractunsqqsa2 */
    case 599:  /* fractunsdiuha2 */
    case 598:  /* fractunssiuha2 */
    case 597:  /* fractunshiuha2 */
    case 596:  /* fractunsqiuha2 */
    case 595:  /* fractunsutauha2 */
    case 594:  /* fractunstauha2 */
    case 593:  /* fractunsudauha2 */
    case 592:  /* fractunsdauha2 */
    case 591:  /* fractunsusauha2 */
    case 590:  /* fractunssauha2 */
    case 589:  /* fractunsuhauha2 */
    case 588:  /* fractunshauha2 */
    case 587:  /* fractunsudquha2 */
    case 586:  /* fractunsdquha2 */
    case 585:  /* fractunsusquha2 */
    case 584:  /* fractunssquha2 */
    case 583:  /* fractunsuhquha2 */
    case 582:  /* fractunshquha2 */
    case 581:  /* fractunsuqquha2 */
    case 580:  /* fractunsqquha2 */
    case 579:  /* fractunsdiha2 */
    case 578:  /* fractunssiha2 */
    case 577:  /* fractunshiha2 */
    case 576:  /* fractunsqiha2 */
    case 575:  /* fractunsutaha2 */
    case 574:  /* fractunstaha2 */
    case 573:  /* fractunsudaha2 */
    case 572:  /* fractunsdaha2 */
    case 571:  /* fractunsusaha2 */
    case 570:  /* fractunssaha2 */
    case 569:  /* fractunsuhaha2 */
    case 568:  /* fractunshaha2 */
    case 567:  /* fractunsudqha2 */
    case 566:  /* fractunsdqha2 */
    case 565:  /* fractunsusqha2 */
    case 564:  /* fractunssqha2 */
    case 563:  /* fractunsuhqha2 */
    case 562:  /* fractunshqha2 */
    case 561:  /* fractunsuqqha2 */
    case 560:  /* fractunsqqha2 */
    case 559:  /* fractunsdiudq2 */
    case 558:  /* fractunssiudq2 */
    case 557:  /* fractunshiudq2 */
    case 556:  /* fractunsqiudq2 */
    case 555:  /* fractunsutaudq2 */
    case 554:  /* fractunstaudq2 */
    case 553:  /* fractunsudaudq2 */
    case 552:  /* fractunsdaudq2 */
    case 551:  /* fractunsusaudq2 */
    case 550:  /* fractunssaudq2 */
    case 549:  /* fractunsuhaudq2 */
    case 548:  /* fractunshaudq2 */
    case 547:  /* fractunsudqudq2 */
    case 546:  /* fractunsdqudq2 */
    case 545:  /* fractunsusqudq2 */
    case 544:  /* fractunssqudq2 */
    case 543:  /* fractunsuhqudq2 */
    case 542:  /* fractunshqudq2 */
    case 541:  /* fractunsuqqudq2 */
    case 540:  /* fractunsqqudq2 */
    case 539:  /* fractunsdidq2 */
    case 538:  /* fractunssidq2 */
    case 537:  /* fractunshidq2 */
    case 536:  /* fractunsqidq2 */
    case 535:  /* fractunsutadq2 */
    case 534:  /* fractunstadq2 */
    case 533:  /* fractunsudadq2 */
    case 532:  /* fractunsdadq2 */
    case 531:  /* fractunsusadq2 */
    case 530:  /* fractunssadq2 */
    case 529:  /* fractunsuhadq2 */
    case 528:  /* fractunshadq2 */
    case 527:  /* fractunsudqdq2 */
    case 526:  /* fractunsdqdq2 */
    case 525:  /* fractunsusqdq2 */
    case 524:  /* fractunssqdq2 */
    case 523:  /* fractunsuhqdq2 */
    case 522:  /* fractunshqdq2 */
    case 521:  /* fractunsuqqdq2 */
    case 520:  /* fractunsqqdq2 */
    case 519:  /* fractunsdiusq2 */
    case 518:  /* fractunssiusq2 */
    case 517:  /* fractunshiusq2 */
    case 516:  /* fractunsqiusq2 */
    case 515:  /* fractunsutausq2 */
    case 514:  /* fractunstausq2 */
    case 513:  /* fractunsudausq2 */
    case 512:  /* fractunsdausq2 */
    case 511:  /* fractunsusausq2 */
    case 510:  /* fractunssausq2 */
    case 509:  /* fractunsuhausq2 */
    case 508:  /* fractunshausq2 */
    case 507:  /* fractunsudqusq2 */
    case 506:  /* fractunsdqusq2 */
    case 505:  /* fractunsusqusq2 */
    case 504:  /* fractunssqusq2 */
    case 503:  /* fractunsuhqusq2 */
    case 502:  /* fractunshqusq2 */
    case 501:  /* fractunsuqqusq2 */
    case 500:  /* fractunsqqusq2 */
    case 499:  /* fractunsdisq2 */
    case 498:  /* fractunssisq2 */
    case 497:  /* fractunshisq2 */
    case 496:  /* fractunsqisq2 */
    case 495:  /* fractunsutasq2 */
    case 494:  /* fractunstasq2 */
    case 493:  /* fractunsudasq2 */
    case 492:  /* fractunsdasq2 */
    case 491:  /* fractunsusasq2 */
    case 490:  /* fractunssasq2 */
    case 489:  /* fractunsuhasq2 */
    case 488:  /* fractunshasq2 */
    case 487:  /* fractunsudqsq2 */
    case 486:  /* fractunsdqsq2 */
    case 485:  /* fractunsusqsq2 */
    case 484:  /* fractunssqsq2 */
    case 483:  /* fractunsuhqsq2 */
    case 482:  /* fractunshqsq2 */
    case 481:  /* fractunsuqqsq2 */
    case 480:  /* fractunsqqsq2 */
    case 479:  /* fractunsdiuhq2 */
    case 478:  /* fractunssiuhq2 */
    case 477:  /* fractunshiuhq2 */
    case 476:  /* fractunsqiuhq2 */
    case 475:  /* fractunsutauhq2 */
    case 474:  /* fractunstauhq2 */
    case 473:  /* fractunsudauhq2 */
    case 472:  /* fractunsdauhq2 */
    case 471:  /* fractunsusauhq2 */
    case 470:  /* fractunssauhq2 */
    case 469:  /* fractunsuhauhq2 */
    case 468:  /* fractunshauhq2 */
    case 467:  /* fractunsudquhq2 */
    case 466:  /* fractunsdquhq2 */
    case 465:  /* fractunsusquhq2 */
    case 464:  /* fractunssquhq2 */
    case 463:  /* fractunsuhquhq2 */
    case 462:  /* fractunshquhq2 */
    case 461:  /* fractunsuqquhq2 */
    case 460:  /* fractunsqquhq2 */
    case 459:  /* fractunsdihq2 */
    case 458:  /* fractunssihq2 */
    case 457:  /* fractunshihq2 */
    case 456:  /* fractunsqihq2 */
    case 455:  /* fractunsutahq2 */
    case 454:  /* fractunstahq2 */
    case 453:  /* fractunsudahq2 */
    case 452:  /* fractunsdahq2 */
    case 451:  /* fractunsusahq2 */
    case 450:  /* fractunssahq2 */
    case 449:  /* fractunsuhahq2 */
    case 448:  /* fractunshahq2 */
    case 447:  /* fractunsudqhq2 */
    case 446:  /* fractunsdqhq2 */
    case 445:  /* fractunsusqhq2 */
    case 444:  /* fractunssqhq2 */
    case 443:  /* fractunsuhqhq2 */
    case 442:  /* fractunshqhq2 */
    case 441:  /* fractunsuqqhq2 */
    case 440:  /* fractunsqqhq2 */
    case 439:  /* fractunsdiuqq2 */
    case 438:  /* fractunssiuqq2 */
    case 437:  /* fractunshiuqq2 */
    case 436:  /* fractunsqiuqq2 */
    case 435:  /* fractunsutauqq2 */
    case 434:  /* fractunstauqq2 */
    case 433:  /* fractunsudauqq2 */
    case 432:  /* fractunsdauqq2 */
    case 431:  /* fractunsusauqq2 */
    case 430:  /* fractunssauqq2 */
    case 429:  /* fractunsuhauqq2 */
    case 428:  /* fractunshauqq2 */
    case 427:  /* fractunsudquqq2 */
    case 426:  /* fractunsdquqq2 */
    case 425:  /* fractunsusquqq2 */
    case 424:  /* fractunssquqq2 */
    case 423:  /* fractunsuhquqq2 */
    case 422:  /* fractunshquqq2 */
    case 421:  /* fractunsuqquqq2 */
    case 420:  /* fractunsqquqq2 */
    case 419:  /* fractunsdiqq2 */
    case 418:  /* fractunssiqq2 */
    case 417:  /* fractunshiqq2 */
    case 416:  /* fractunsqiqq2 */
    case 415:  /* fractunsutaqq2 */
    case 414:  /* fractunstaqq2 */
    case 413:  /* fractunsudaqq2 */
    case 412:  /* fractunsdaqq2 */
    case 411:  /* fractunsusaqq2 */
    case 410:  /* fractunssaqq2 */
    case 409:  /* fractunsuhaqq2 */
    case 408:  /* fractunshaqq2 */
    case 407:  /* fractunsudqqq2 */
    case 406:  /* fractunsdqqq2 */
    case 405:  /* fractunsusqqq2 */
    case 404:  /* fractunssqqq2 */
    case 403:  /* fractunsuhqqq2 */
    case 402:  /* fractunshqqq2 */
    case 401:  /* fractunsuqqqq2 */
    case 400:  /* fractunsqqqq2 */
    case 399:  /* fractdidi2 */
    case 398:  /* fractsidi2 */
    case 397:  /* fracthidi2 */
    case 396:  /* fractqidi2 */
    case 395:  /* fractutadi2 */
    case 394:  /* fracttadi2 */
    case 393:  /* fractudadi2 */
    case 392:  /* fractdadi2 */
    case 391:  /* fractusadi2 */
    case 390:  /* fractsadi2 */
    case 389:  /* fractuhadi2 */
    case 388:  /* fracthadi2 */
    case 387:  /* fractudqdi2 */
    case 386:  /* fractdqdi2 */
    case 385:  /* fractusqdi2 */
    case 384:  /* fractsqdi2 */
    case 383:  /* fractuhqdi2 */
    case 382:  /* fracthqdi2 */
    case 381:  /* fractuqqdi2 */
    case 380:  /* fractqqdi2 */
    case 379:  /* fractdisi2 */
    case 378:  /* fractsisi2 */
    case 377:  /* fracthisi2 */
    case 376:  /* fractqisi2 */
    case 375:  /* fractutasi2 */
    case 374:  /* fracttasi2 */
    case 373:  /* fractudasi2 */
    case 372:  /* fractdasi2 */
    case 371:  /* fractusasi2 */
    case 370:  /* fractsasi2 */
    case 369:  /* fractuhasi2 */
    case 368:  /* fracthasi2 */
    case 367:  /* fractudqsi2 */
    case 366:  /* fractdqsi2 */
    case 365:  /* fractusqsi2 */
    case 364:  /* fractsqsi2 */
    case 363:  /* fractuhqsi2 */
    case 362:  /* fracthqsi2 */
    case 361:  /* fractuqqsi2 */
    case 360:  /* fractqqsi2 */
    case 359:  /* fractdihi2 */
    case 358:  /* fractsihi2 */
    case 357:  /* fracthihi2 */
    case 356:  /* fractqihi2 */
    case 355:  /* fractutahi2 */
    case 354:  /* fracttahi2 */
    case 353:  /* fractudahi2 */
    case 352:  /* fractdahi2 */
    case 351:  /* fractusahi2 */
    case 350:  /* fractsahi2 */
    case 349:  /* fractuhahi2 */
    case 348:  /* fracthahi2 */
    case 347:  /* fractudqhi2 */
    case 346:  /* fractdqhi2 */
    case 345:  /* fractusqhi2 */
    case 344:  /* fractsqhi2 */
    case 343:  /* fractuhqhi2 */
    case 342:  /* fracthqhi2 */
    case 341:  /* fractuqqhi2 */
    case 340:  /* fractqqhi2 */
    case 339:  /* fractdiqi2 */
    case 338:  /* fractsiqi2 */
    case 337:  /* fracthiqi2 */
    case 336:  /* fractqiqi2 */
    case 335:  /* fractutaqi2 */
    case 334:  /* fracttaqi2 */
    case 333:  /* fractudaqi2 */
    case 332:  /* fractdaqi2 */
    case 331:  /* fractusaqi2 */
    case 330:  /* fractsaqi2 */
    case 329:  /* fractuhaqi2 */
    case 328:  /* fracthaqi2 */
    case 327:  /* fractudqqi2 */
    case 326:  /* fractdqqi2 */
    case 325:  /* fractusqqi2 */
    case 324:  /* fractsqqi2 */
    case 323:  /* fractuhqqi2 */
    case 322:  /* fracthqqi2 */
    case 321:  /* fractuqqqi2 */
    case 320:  /* fractqqqi2 */
    case 319:  /* fractdiuta2 */
    case 318:  /* fractsiuta2 */
    case 317:  /* fracthiuta2 */
    case 316:  /* fractqiuta2 */
    case 315:  /* fractutauta2 */
    case 314:  /* fracttauta2 */
    case 313:  /* fractudauta2 */
    case 312:  /* fractdauta2 */
    case 311:  /* fractusauta2 */
    case 310:  /* fractsauta2 */
    case 309:  /* fractuhauta2 */
    case 308:  /* fracthauta2 */
    case 307:  /* fractudquta2 */
    case 306:  /* fractdquta2 */
    case 305:  /* fractusquta2 */
    case 304:  /* fractsquta2 */
    case 303:  /* fractuhquta2 */
    case 302:  /* fracthquta2 */
    case 301:  /* fractuqquta2 */
    case 300:  /* fractqquta2 */
    case 299:  /* fractdita2 */
    case 298:  /* fractsita2 */
    case 297:  /* fracthita2 */
    case 296:  /* fractqita2 */
    case 295:  /* fractutata2 */
    case 294:  /* fracttata2 */
    case 293:  /* fractudata2 */
    case 292:  /* fractdata2 */
    case 291:  /* fractusata2 */
    case 290:  /* fractsata2 */
    case 289:  /* fractuhata2 */
    case 288:  /* fracthata2 */
    case 287:  /* fractudqta2 */
    case 286:  /* fractdqta2 */
    case 285:  /* fractusqta2 */
    case 284:  /* fractsqta2 */
    case 283:  /* fractuhqta2 */
    case 282:  /* fracthqta2 */
    case 281:  /* fractuqqta2 */
    case 280:  /* fractqqta2 */
    case 279:  /* fractdiuda2 */
    case 278:  /* fractsiuda2 */
    case 277:  /* fracthiuda2 */
    case 276:  /* fractqiuda2 */
    case 275:  /* fractutauda2 */
    case 274:  /* fracttauda2 */
    case 273:  /* fractudauda2 */
    case 272:  /* fractdauda2 */
    case 271:  /* fractusauda2 */
    case 270:  /* fractsauda2 */
    case 269:  /* fractuhauda2 */
    case 268:  /* fracthauda2 */
    case 267:  /* fractudquda2 */
    case 266:  /* fractdquda2 */
    case 265:  /* fractusquda2 */
    case 264:  /* fractsquda2 */
    case 263:  /* fractuhquda2 */
    case 262:  /* fracthquda2 */
    case 261:  /* fractuqquda2 */
    case 260:  /* fractqquda2 */
    case 259:  /* fractdida2 */
    case 258:  /* fractsida2 */
    case 257:  /* fracthida2 */
    case 256:  /* fractqida2 */
    case 255:  /* fractutada2 */
    case 254:  /* fracttada2 */
    case 253:  /* fractudada2 */
    case 252:  /* fractdada2 */
    case 251:  /* fractusada2 */
    case 250:  /* fractsada2 */
    case 249:  /* fractuhada2 */
    case 248:  /* fracthada2 */
    case 247:  /* fractudqda2 */
    case 246:  /* fractdqda2 */
    case 245:  /* fractusqda2 */
    case 244:  /* fractsqda2 */
    case 243:  /* fractuhqda2 */
    case 242:  /* fracthqda2 */
    case 241:  /* fractuqqda2 */
    case 240:  /* fractqqda2 */
    case 239:  /* fractdiusa2 */
    case 238:  /* fractsiusa2 */
    case 237:  /* fracthiusa2 */
    case 236:  /* fractqiusa2 */
    case 235:  /* fractutausa2 */
    case 234:  /* fracttausa2 */
    case 233:  /* fractudausa2 */
    case 232:  /* fractdausa2 */
    case 231:  /* fractusausa2 */
    case 230:  /* fractsausa2 */
    case 229:  /* fractuhausa2 */
    case 228:  /* fracthausa2 */
    case 227:  /* fractudqusa2 */
    case 226:  /* fractdqusa2 */
    case 225:  /* fractusqusa2 */
    case 224:  /* fractsqusa2 */
    case 223:  /* fractuhqusa2 */
    case 222:  /* fracthqusa2 */
    case 221:  /* fractuqqusa2 */
    case 220:  /* fractqqusa2 */
    case 219:  /* fractdisa2 */
    case 218:  /* fractsisa2 */
    case 217:  /* fracthisa2 */
    case 216:  /* fractqisa2 */
    case 215:  /* fractutasa2 */
    case 214:  /* fracttasa2 */
    case 213:  /* fractudasa2 */
    case 212:  /* fractdasa2 */
    case 211:  /* fractusasa2 */
    case 210:  /* fractsasa2 */
    case 209:  /* fractuhasa2 */
    case 208:  /* fracthasa2 */
    case 207:  /* fractudqsa2 */
    case 206:  /* fractdqsa2 */
    case 205:  /* fractusqsa2 */
    case 204:  /* fractsqsa2 */
    case 203:  /* fractuhqsa2 */
    case 202:  /* fracthqsa2 */
    case 201:  /* fractuqqsa2 */
    case 200:  /* fractqqsa2 */
    case 199:  /* fractdiuha2 */
    case 198:  /* fractsiuha2 */
    case 197:  /* fracthiuha2 */
    case 196:  /* fractqiuha2 */
    case 195:  /* fractutauha2 */
    case 194:  /* fracttauha2 */
    case 193:  /* fractudauha2 */
    case 192:  /* fractdauha2 */
    case 191:  /* fractusauha2 */
    case 190:  /* fractsauha2 */
    case 189:  /* fractuhauha2 */
    case 188:  /* fracthauha2 */
    case 187:  /* fractudquha2 */
    case 186:  /* fractdquha2 */
    case 185:  /* fractusquha2 */
    case 184:  /* fractsquha2 */
    case 183:  /* fractuhquha2 */
    case 182:  /* fracthquha2 */
    case 181:  /* fractuqquha2 */
    case 180:  /* fractqquha2 */
    case 179:  /* fractdiha2 */
    case 178:  /* fractsiha2 */
    case 177:  /* fracthiha2 */
    case 176:  /* fractqiha2 */
    case 175:  /* fractutaha2 */
    case 174:  /* fracttaha2 */
    case 173:  /* fractudaha2 */
    case 172:  /* fractdaha2 */
    case 171:  /* fractusaha2 */
    case 170:  /* fractsaha2 */
    case 169:  /* fractuhaha2 */
    case 168:  /* fracthaha2 */
    case 167:  /* fractudqha2 */
    case 166:  /* fractdqha2 */
    case 165:  /* fractusqha2 */
    case 164:  /* fractsqha2 */
    case 163:  /* fractuhqha2 */
    case 162:  /* fracthqha2 */
    case 161:  /* fractuqqha2 */
    case 160:  /* fractqqha2 */
    case 159:  /* fractdiudq2 */
    case 158:  /* fractsiudq2 */
    case 157:  /* fracthiudq2 */
    case 156:  /* fractqiudq2 */
    case 155:  /* fractutaudq2 */
    case 154:  /* fracttaudq2 */
    case 153:  /* fractudaudq2 */
    case 152:  /* fractdaudq2 */
    case 151:  /* fractusaudq2 */
    case 150:  /* fractsaudq2 */
    case 149:  /* fractuhaudq2 */
    case 148:  /* fracthaudq2 */
    case 147:  /* fractudqudq2 */
    case 146:  /* fractdqudq2 */
    case 145:  /* fractusqudq2 */
    case 144:  /* fractsqudq2 */
    case 143:  /* fractuhqudq2 */
    case 142:  /* fracthqudq2 */
    case 141:  /* fractuqqudq2 */
    case 140:  /* fractqqudq2 */
    case 139:  /* fractdidq2 */
    case 138:  /* fractsidq2 */
    case 137:  /* fracthidq2 */
    case 136:  /* fractqidq2 */
    case 135:  /* fractutadq2 */
    case 134:  /* fracttadq2 */
    case 133:  /* fractudadq2 */
    case 132:  /* fractdadq2 */
    case 131:  /* fractusadq2 */
    case 130:  /* fractsadq2 */
    case 129:  /* fractuhadq2 */
    case 128:  /* fracthadq2 */
    case 127:  /* fractudqdq2 */
    case 126:  /* fractdqdq2 */
    case 125:  /* fractusqdq2 */
    case 124:  /* fractsqdq2 */
    case 123:  /* fractuhqdq2 */
    case 122:  /* fracthqdq2 */
    case 121:  /* fractuqqdq2 */
    case 120:  /* fractqqdq2 */
    case 119:  /* fractdiusq2 */
    case 118:  /* fractsiusq2 */
    case 117:  /* fracthiusq2 */
    case 116:  /* fractqiusq2 */
    case 115:  /* fractutausq2 */
    case 114:  /* fracttausq2 */
    case 113:  /* fractudausq2 */
    case 112:  /* fractdausq2 */
    case 111:  /* fractusausq2 */
    case 110:  /* fractsausq2 */
    case 109:  /* fractuhausq2 */
    case 108:  /* fracthausq2 */
    case 107:  /* fractudqusq2 */
    case 106:  /* fractdqusq2 */
    case 105:  /* fractusqusq2 */
    case 104:  /* fractsqusq2 */
    case 103:  /* fractuhqusq2 */
    case 102:  /* fracthqusq2 */
    case 101:  /* fractuqqusq2 */
    case 100:  /* fractqqusq2 */
    case 99:  /* fractdisq2 */
    case 98:  /* fractsisq2 */
    case 97:  /* fracthisq2 */
    case 96:  /* fractqisq2 */
    case 95:  /* fractutasq2 */
    case 94:  /* fracttasq2 */
    case 93:  /* fractudasq2 */
    case 92:  /* fractdasq2 */
    case 91:  /* fractusasq2 */
    case 90:  /* fractsasq2 */
    case 89:  /* fractuhasq2 */
    case 88:  /* fracthasq2 */
    case 87:  /* fractudqsq2 */
    case 86:  /* fractdqsq2 */
    case 85:  /* fractusqsq2 */
    case 84:  /* fractsqsq2 */
    case 83:  /* fractuhqsq2 */
    case 82:  /* fracthqsq2 */
    case 81:  /* fractuqqsq2 */
    case 80:  /* fractqqsq2 */
    case 79:  /* fractdiuhq2 */
    case 78:  /* fractsiuhq2 */
    case 77:  /* fracthiuhq2 */
    case 76:  /* fractqiuhq2 */
    case 75:  /* fractutauhq2 */
    case 74:  /* fracttauhq2 */
    case 73:  /* fractudauhq2 */
    case 72:  /* fractdauhq2 */
    case 71:  /* fractusauhq2 */
    case 70:  /* fractsauhq2 */
    case 69:  /* fractuhauhq2 */
    case 68:  /* fracthauhq2 */
    case 67:  /* fractudquhq2 */
    case 66:  /* fractdquhq2 */
    case 65:  /* fractusquhq2 */
    case 64:  /* fractsquhq2 */
    case 63:  /* fractuhquhq2 */
    case 62:  /* fracthquhq2 */
    case 61:  /* fractuqquhq2 */
    case 60:  /* fractqquhq2 */
    case 59:  /* fractdihq2 */
    case 58:  /* fractsihq2 */
    case 57:  /* fracthihq2 */
    case 56:  /* fractqihq2 */
    case 55:  /* fractutahq2 */
    case 54:  /* fracttahq2 */
    case 53:  /* fractudahq2 */
    case 52:  /* fractdahq2 */
    case 51:  /* fractusahq2 */
    case 50:  /* fractsahq2 */
    case 49:  /* fractuhahq2 */
    case 48:  /* fracthahq2 */
    case 47:  /* fractudqhq2 */
    case 46:  /* fractdqhq2 */
    case 45:  /* fractusqhq2 */
    case 44:  /* fractsqhq2 */
    case 43:  /* fractuhqhq2 */
    case 42:  /* fracthqhq2 */
    case 41:  /* fractuqqhq2 */
    case 40:  /* fractqqhq2 */
    case 39:  /* fractdiuqq2 */
    case 38:  /* fractsiuqq2 */
    case 37:  /* fracthiuqq2 */
    case 36:  /* fractqiuqq2 */
    case 35:  /* fractutauqq2 */
    case 34:  /* fracttauqq2 */
    case 33:  /* fractudauqq2 */
    case 32:  /* fractdauqq2 */
    case 31:  /* fractusauqq2 */
    case 30:  /* fractsauqq2 */
    case 29:  /* fractuhauqq2 */
    case 28:  /* fracthauqq2 */
    case 27:  /* fractudquqq2 */
    case 26:  /* fractdquqq2 */
    case 25:  /* fractusquqq2 */
    case 24:  /* fractsquqq2 */
    case 23:  /* fractuhquqq2 */
    case 22:  /* fracthquqq2 */
    case 21:  /* fractuqquqq2 */
    case 20:  /* fractqquqq2 */
    case 19:  /* fractdiqq2 */
    case 18:  /* fractsiqq2 */
    case 17:  /* fracthiqq2 */
    case 16:  /* fractqiqq2 */
    case 15:  /* fractutaqq2 */
    case 14:  /* fracttaqq2 */
    case 13:  /* fractudaqq2 */
    case 12:  /* fractdaqq2 */
    case 11:  /* fractusaqq2 */
    case 10:  /* fractsaqq2 */
    case 9:  /* fractuhaqq2 */
    case 8:  /* fracthaqq2 */
    case 7:  /* fractudqqq2 */
    case 6:  /* fractdqqq2 */
    case 5:  /* fractusqqq2 */
    case 4:  /* fractsqqq2 */
    case 3:  /* fractuhqqq2 */
    case 2:  /* fracthqqq2 */
    case 1:  /* fractuqqqq2 */
    case 0:  /* fractqqqq2 */
      ro[0] = *(ro_loc[0] = &XEXP (pat, 0));
      ro[1] = *(ro_loc[1] = &XEXP (XEXP (pat, 1), 0));
      break;

    }
}
